Subject: bug#24279: Bug in xterm and/or fontconfig

From: [email-masked] (Ludovic Courtès)
Date: Thu, 30 Nov 2017 10:42:36 +0100

Hi Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> John Darrington <[email-masked]> writes:
>
>> In GuixSD:
>>
>> guix package -i xterm strace
>> strace xterm
>>
>> xterm starts as it should,  however observe many failed calls similar to:
>>  open("/gnu/store/b484nvn9nnr3ddclpz2fma9yxmimg2jj-fontconfig-2.11.94/lib/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
>>
>>
>> Now in the xterm, hold down Ctrl and press any mouse button.
>> The xterm aborts with the following messages:
>>  Warning: Unable to load any usable ISO8859 font
>>  Error: Aborting: no font found
>
> I solved this issue by:
>
>   - Install a font-misc-misc as Mike Hunt from Gentoo forum suggests¹:
>
>     $ guix package -i font-misc-misc
>
>   - From "(guix) Application Setup"²:
>
>     $ xset +fp ~/.guix-profile/share/fonts/X11/misc

Oh, good to know!

We can also fix this once and for all with this patch:

diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index 0da3397da..8f285b29a 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -113,6 +113,8 @@
         (file-append font-alias "/share/fonts/X11/100dpi")
         (file-append font-alias "/share/fonts/X11/misc")
         (file-append font-alias "/share/fonts/X11/cyrillic")
+        (file-append font-misc-misc               ;default fonts for xterm
+                     "/share/fonts/X11/misc")
         (file-append font-adobe75dpi "/share/fonts/X11/75dpi")))
 
 (define* (xorg-configuration-file #:key

That adds 4.1 MiB, but it saves user headaches, so I think it’s worth it.

I’ll go ahead and push that if there are no objections.

Thanks,
Ludo’.